## org.eclipse.amp.axf.ide.view
Class MonitorView

    java.lang.Object
      org.eclipse.amp.axf.core.AbstractLifecycleListener
          org.eclipse.amp.axf.ide.view.MonitorView

All Implemented Interfaces:
  ILifeCycleListener, IStateListener

Direct Known Subclasses:
  RunMonitorView

    public abstract class MonitorView

extends AbstractLifecycleListener

The Class MonitorView.

Constructor Summary
`MonitorView(org.eclipse.core.runtime.IProgressMonitor monitor, java.lang.String name)` Instantiates a new monitor view.

Method Summary
`void` `observing(IObservationProvider model)` Notifies that the model is now aware of this observer.

Methods inherited from class org.eclipse.amp.axf.core.AbstractLifecycleListener
`getListener, getName, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observeUpdate, setName, stateChange, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MonitorView

    public MonitorView(org.eclipse.core.runtime.IProgressMonitor monitor,
                       java.lang.String name)

  Instantiates a new monitor view.

  Parameters:
    `monitor` - the monitor
    `name` - the name

Method Detail

### observing

    public void observing(IObservationProvider model)

  Description copied from interface: `ILifeCycleListener`
  Notifies that the model is now aware of this observer. Note that models may defer addition of listeners so a listener adding itself to a model should not assume that it has actually been added until this notification has occurred.

  Specified by:
    `observing` in interface `ILifeCycleListener`
  Overrides:
    `observing` in class `AbstractLifecycleListener`
  Parameters:
    `model` -
  See Also:
    `AbstractLifecycleListener.observing(org.eclipse.amp.axf.core.IObservationProvider)`